# Class Ping

#### Hierarchy

- unknown
  - Ping

- Defined in src/protobuf/pb_pb.d.ts:535
- Defined in src/protobuf/pb_pb.d.ts:550

#####
Index

### Constructors

constructor

### Methods

getLastRoundTripTime
getNonce
serializeBinary
setLastRoundTripTime
setNonce
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new Ping(): Ping

- #### Returns Ping

  Inherited from jspb.Message.constructor

## Methods

### getLastRoundTripTime

- getLastRoundTripTime(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:539

### getNonce

- getNonce(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:536

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:542

### setLastRoundTripTime

- setLastRoundTripTime(value: number): Ping

- #### Parameters

  - ##### value: number

  #### Returns Ping

  - Defined in src/protobuf/pb_pb.d.ts:540

### setNonce

- setNonce(value: number): Ping

- #### Parameters

  - ##### value: number

  #### Returns Ping

  - Defined in src/protobuf/pb_pb.d.ts:537

### toObject

- toObject(includeInstance?: boolean): Ping.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns Ping.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:543

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): Ping

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns Ping

  - Defined in src/protobuf/pb_pb.d.ts:546

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: Ping, reader: BinaryReader): Ping

- #### Parameters

  - ##### message: Ping

  - ##### reader: BinaryReader

  #### Returns Ping

  - Defined in src/protobuf/pb_pb.d.ts:547

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: Ping, writer: BinaryWriter): void

- #### Parameters

  - ##### message: Ping

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:545

### `Static` toObject

- toObject(includeInstance: boolean, msg: Ping): Ping.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: Ping

  #### Returns Ping.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:544

Generated using TypeDoc